# Introduction

The Attuitive API follows [REST](https://en.wikipedia.org/wiki/REST) principles, with resource-based URL's in a predictable fashion. It uses standard HTTP verbs & response codes. Requests & responses always use [JSON-encoded](https://www.json.org/json-en.html) bodies unless stated otherwise. Properties are always `camelCase` unless also stated otherwise.

The API is designed at a [workspace](/attuitive/basics/workspaces.md) level. Since API keys belong to workspaces, the owning workspace of the key you use determines which account is effected and you do **not** need to identify for which workspace the request is on behalf of.

All endpoints reside on the base URL `https://api.attuitive.com/api/v1`. In the later documentation pages, endpoints will only be referenced to by their suffix. For example, the [Identify](/attuitive/api-reference/identify.md) endpoint is marked as `/identify`. The full URL for this will be `https://api.attuitive.com/api/v1/identify`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tristans-organization-4.gitbook.io/attuitive/api-reference/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
